#lang racket/base
(require racket/draw)

(provide lookup-256color)

;; get color for 256color terminal.
(define (lookup-256color index)
  (case index
    [(0) (make-color #x00 #x00 #x00)]
    [(1) (make-color #x80 #x00 #x00)]
    [(2) (make-color #x00 #x80 #x00)]
    [(3) (make-color #x80 #x80 #x00)]
    [(4) (make-color #x00 #x00 #x80)]
    [(5) (make-color #x80 #x00 #x80)]
    [(6) (make-color #x00 #x80 #x80)]
    [(7) (make-color #xc0 #xc0 #xc0)]
    [(8) (make-color #x80 #x80 #x80)]
    [(9) (make-color #xff #x00 #x00)]
    [(10) (make-color #x00 #xff #x00)]
    [(11) (make-color #xff #xff #x00)]
    [(12) (make-color #x00 #x00 #xff)]
    [(13) (make-color #xff #x00 #xff)]
    [(14) (make-color #x00 #xff #xff)]
    [(15) (make-color #xff #xff #xff)]
    [(16) (make-color #x00 #x00 #x00)]
    [(17) (make-color #x00 #x00 #x5f)]
    [(18) (make-color #x00 #x00 #x87)]
    [(19) (make-color #x00 #x00 #xaf)]
    [(20) (make-color #x00 #x00 #xd7)]
    [(21) (make-color #x00 #x00 #xff)]
    [(22) (make-color #x00 #x5f #x00)]
    [(23) (make-color #x00 #x5f #x5f)]
    [(24) (make-color #x00 #x5f #x87)]
    [(25) (make-color #x00 #x5f #xaf)]
    [(26) (make-color #x00 #x5f #xd7)]
    [(27) (make-color #x00 #x5f #xff)]
    [(28) (make-color #x00 #x87 #x00)]
    [(29) (make-color #x00 #x87 #x5f)]
    [(30) (make-color #x00 #x87 #x87)]
    [(31) (make-color #x00 #x87 #xaf)]
    [(32) (make-color #x00 #x87 #xd7)]
    [(33) (make-color #x00 #x87 #xff)]
    [(34) (make-color #x00 #xaf #x00)]
    [(35) (make-color #x00 #xaf #x5f)]
    [(36) (make-color #x00 #xaf #x87)]
    [(37) (make-color #x00 #xaf #xaf)]
    [(38) (make-color #x00 #xaf #xd7)]
    [(39) (make-color #x00 #xaf #xff)]
    [(40) (make-color #x00 #xd7 #x00)]
    [(41) (make-color #x00 #xd7 #x5f)]
    [(42) (make-color #x00 #xd7 #x87)]
    [(43) (make-color #x00 #xd7 #xaf)]
    [(44) (make-color #x00 #xd7 #xd7)]
    [(45) (make-color #x00 #xd7 #xff)]
    [(46) (make-color #x00 #xff #x00)]
    [(47) (make-color #x00 #xff #x5f)]
    [(48) (make-color #x00 #xff #x87)]
    [(49) (make-color #x00 #xff #xaf)]
    [(50) (make-color #x00 #xff #xd7)]
    [(51) (make-color #x00 #xff #xff)]
    [(52) (make-color #x5f #x00 #x00)]
    [(53) (make-color #x5f #x00 #x5f)]
    [(54) (make-color #x5f #x00 #x87)]
    [(55) (make-color #x5f #x00 #xaf)]
    [(56) (make-color #x5f #x00 #xd7)]
    [(57) (make-color #x5f #x00 #xff)]
    [(58) (make-color #x5f #x5f #x00)]
    [(59) (make-color #x5f #x5f #x5f)]
    [(60) (make-color #x5f #x5f #x87)]
    [(61) (make-color #x5f #x5f #xaf)]
    [(62) (make-color #x5f #x5f #xd7)]
    [(63) (make-color #x5f #x5f #xff)]
    [(64) (make-color #x5f #x87 #x00)]
    [(65) (make-color #x5f #x87 #x5f)]
    [(66) (make-color #x5f #x87 #x87)]
    [(67) (make-color #x5f #x87 #xaf)]
    [(68) (make-color #x5f #x87 #xd7)]
    [(69) (make-color #x5f #x87 #xff)]
    [(70) (make-color #x5f #xaf #x00)]
    [(71) (make-color #x5f #xaf #x5f)]
    [(72) (make-color #x5f #xaf #x87)]
    [(73) (make-color #x5f #xaf #xaf)]
    [(74) (make-color #x5f #xaf #xd7)]
    [(75) (make-color #x5f #xaf #xff)]
    [(76) (make-color #x5f #xd7 #x00)]
    [(77) (make-color #x5f #xd7 #x5f)]
    [(78) (make-color #x5f #xd7 #x87)]
    [(79) (make-color #x5f #xd7 #xaf)]
    [(80) (make-color #x5f #xd7 #xd7)]
    [(81) (make-color #x5f #xd7 #xff)]
    [(82) (make-color #x5f #xff #x00)]
    [(83) (make-color #x5f #xff #x5f)]
    [(84) (make-color #x5f #xff #x87)]
    [(85) (make-color #x5f #xff #xaf)]
    [(86) (make-color #x5f #xff #xd7)]
    [(87) (make-color #x5f #xff #xff)]
    [(88) (make-color #x87 #x00 #x00)]
    [(89) (make-color #x87 #x00 #x5f)]
    [(90) (make-color #x87 #x00 #x87)]
    [(91) (make-color #x87 #x00 #xaf)]
    [(92) (make-color #x87 #x00 #xd7)]
    [(93) (make-color #x87 #x00 #xff)]
    [(94) (make-color #x87 #x5f #x00)]
    [(95) (make-color #x87 #x5f #x5f)]
    [(96) (make-color #x87 #x5f #x87)]
    [(97) (make-color #x87 #x5f #xaf)]
    [(98) (make-color #x87 #x5f #xd7)]
    [(99) (make-color #x87 #x5f #xff)]
    [(100) (make-color #x87 #x87 #x00)]
    [(101) (make-color #x87 #x87 #x5f)]
    [(102) (make-color #x87 #x87 #x87)]
    [(103) (make-color #x87 #x87 #xaf)]
    [(104) (make-color #x87 #x87 #xd7)]
    [(105) (make-color #x87 #x87 #xff)]
    [(106) (make-color #x87 #xaf #x00)]
    [(107) (make-color #x87 #xaf #x5f)]
    [(108) (make-color #x87 #xaf #x87)]
    [(109) (make-color #x87 #xaf #xaf)]
    [(110) (make-color #x87 #xaf #xd7)]
    [(111) (make-color #x87 #xaf #xff)]
    [(112) (make-color #x87 #xd7 #x00)]
    [(113) (make-color #x87 #xd7 #x5f)]
    [(114) (make-color #x87 #xd7 #x87)]
    [(115) (make-color #x87 #xd7 #xaf)]
    [(116) (make-color #x87 #xd7 #xd7)]
    [(117) (make-color #x87 #xd7 #xff)]
    [(118) (make-color #x87 #xff #x00)]
    [(119) (make-color #x87 #xff #x5f)]
    [(120) (make-color #x87 #xff #x87)]
    [(121) (make-color #x87 #xff #xaf)]
    [(122) (make-color #x87 #xff #xd7)]
    [(123) (make-color #x87 #xff #xff)]
    [(124) (make-color #xaf #x00 #x00)]
    [(125) (make-color #xaf #x00 #x5f)]
    [(126) (make-color #xaf #x00 #x87)]
    [(127) (make-color #xaf #x00 #xaf)]
    [(128) (make-color #xaf #x00 #xd7)]
    [(129) (make-color #xaf #x00 #xff)]
    [(130) (make-color #xaf #x5f #x00)]
    [(131) (make-color #xaf #x5f #x5f)]
    [(132) (make-color #xaf #x5f #x87)]
    [(133) (make-color #xaf #x5f #xaf)]
    [(134) (make-color #xaf #x5f #xd7)]
    [(135) (make-color #xaf #x5f #xff)]
    [(136) (make-color #xaf #x87 #x00)]
    [(137) (make-color #xaf #x87 #x5f)]
    [(138) (make-color #xaf #x87 #x87)]
    [(139) (make-color #xaf #x87 #xaf)]
    [(140) (make-color #xaf #x87 #xd7)]
    [(141) (make-color #xaf #x87 #xff)]
    [(142) (make-color #xaf #xaf #x00)]
    [(143) (make-color #xaf #xaf #x5f)]
    [(144) (make-color #xaf #xaf #x87)]
    [(145) (make-color #xaf #xaf #xaf)]
    [(146) (make-color #xaf #xaf #xd7)]
    [(147) (make-color #xaf #xaf #xff)]
    [(148) (make-color #xaf #xd7 #x00)]
    [(149) (make-color #xaf #xd7 #x5f)]
    [(150) (make-color #xaf #xd7 #x87)]
    [(151) (make-color #xaf #xd7 #xaf)]
    [(152) (make-color #xaf #xd7 #xd7)]
    [(153) (make-color #xaf #xd7 #xff)]
    [(154) (make-color #xaf #xff #x00)]
    [(155) (make-color #xaf #xff #x5f)]
    [(156) (make-color #xaf #xff #x87)]
    [(157) (make-color #xaf #xff #xaf)]
    [(158) (make-color #xaf #xff #xd7)]
    [(159) (make-color #xaf #xff #xff)]
    [(160) (make-color #xd7 #x00 #x00)]
    [(161) (make-color #xd7 #x00 #x5f)]
    [(162) (make-color #xd7 #x00 #x87)]
    [(163) (make-color #xd7 #x00 #xaf)]
    [(164) (make-color #xd7 #x00 #xd7)]
    [(165) (make-color #xd7 #x00 #xff)]
    [(166) (make-color #xd7 #x5f #x00)]
    [(167) (make-color #xd7 #x5f #x5f)]
    [(168) (make-color #xd7 #x5f #x87)]
    [(169) (make-color #xd7 #x5f #xaf)]
    [(170) (make-color #xd7 #x5f #xd7)]
    [(171) (make-color #xd7 #x5f #xff)]
    [(172) (make-color #xd7 #x87 #x00)]
    [(173) (make-color #xd7 #x87 #x5f)]
    [(174) (make-color #xd7 #x87 #x87)]
    [(175) (make-color #xd7 #x87 #xaf)]
    [(176) (make-color #xd7 #x87 #xd7)]
    [(177) (make-color #xd7 #x87 #xff)]
    [(178) (make-color #xd7 #xaf #x00)]
    [(179) (make-color #xd7 #xaf #x5f)]
    [(180) (make-color #xd7 #xaf #x87)]
    [(181) (make-color #xd7 #xaf #xaf)]
    [(182) (make-color #xd7 #xaf #xd7)]
    [(183) (make-color #xd7 #xaf #xff)]
    [(184) (make-color #xd7 #xd7 #x00)]
    [(185) (make-color #xd7 #xd7 #x5f)]
    [(186) (make-color #xd7 #xd7 #x87)]
    [(187) (make-color #xd7 #xd7 #xaf)]
    [(188) (make-color #xd7 #xd7 #xd7)]
    [(189) (make-color #xd7 #xd7 #xff)]
    [(190) (make-color #xd7 #xff #x00)]
    [(191) (make-color #xd7 #xff #x5f)]
    [(192) (make-color #xd7 #xff #x87)]
    [(193) (make-color #xd7 #xff #xaf)]
    [(194) (make-color #xd7 #xff #xd7)]
    [(195) (make-color #xd7 #xff #xff)]
    [(196) (make-color #xff #x00 #x00)]
    [(197) (make-color #xff #x00 #x5f)]
    [(198) (make-color #xff #x00 #x87)]
    [(199) (make-color #xff #x00 #xaf)]
    [(200) (make-color #xff #x00 #xd7)]
    [(201) (make-color #xff #x00 #xff)]
    [(202) (make-color #xff #x5f #x00)]
    [(203) (make-color #xff #x5f #x5f)]
    [(204) (make-color #xff #x5f #x87)]
    [(205) (make-color #xff #x5f #xaf)]
    [(206) (make-color #xff #x5f #xd7)]
    [(207) (make-color #xff #x5f #xff)]
    [(208) (make-color #xff #x87 #x00)]
    [(209) (make-color #xff #x87 #x5f)]
    [(210) (make-color #xff #x87 #x87)]
    [(211) (make-color #xff #x87 #xaf)]
    [(212) (make-color #xff #x87 #xd7)]
    [(213) (make-color #xff #x87 #xff)]
    [(214) (make-color #xff #xaf #x00)]
    [(215) (make-color #xff #xaf #x5f)]
    [(216) (make-color #xff #xaf #x87)]
    [(217) (make-color #xff #xaf #xaf)]
    [(218) (make-color #xff #xaf #xd7)]
    [(219) (make-color #xff #xaf #xff)]
    [(220) (make-color #xff #xd7 #x00)]
    [(221) (make-color #xff #xd7 #x5f)]
    [(222) (make-color #xff #xd7 #x87)]
    [(223) (make-color #xff #xd7 #xaf)]
    [(224) (make-color #xff #xd7 #xd7)]
    [(225) (make-color #xff #xd7 #xff)]
    [(226) (make-color #xff #xff #x00)]
    [(227) (make-color #xff #xff #x5f)]
    [(228) (make-color #xff #xff #x87)]
    [(229) (make-color #xff #xff #xaf)]
    [(230) (make-color #xff #xff #xd7)]
    [(231) (make-color #xff #xff #xff)]
    [(232) (make-color #x08 #x08 #x08)]
    [(233) (make-color #x12 #x12 #x12)]
    [(234) (make-color #x1c #x1c #x1c)]
    [(235) (make-color #x26 #x26 #x26)]
    [(236) (make-color #x30 #x30 #x30)]
    [(237) (make-color #x3a #x3a #x3a)]
    [(238) (make-color #x44 #x44 #x44)]
    [(239) (make-color #x4e #x4e #x4e)]
    [(240) (make-color #x58 #x58 #x58)]
    [(241) (make-color #x60 #x60 #x60)]
    [(242) (make-color #x66 #x66 #x66)]
    [(243) (make-color #x76 #x76 #x76)]
    [(244) (make-color #x80 #x80 #x80)]
    [(245) (make-color #x8a #x8a #x8a)]
    [(246) (make-color #x94 #x94 #x94)]
    [(247) (make-color #x9e #x9e #x9e)]
    [(248) (make-color #xa8 #xa8 #xa8)]
    [(249) (make-color #xb2 #xb2 #xb2)]
    [(250) (make-color #xbc #xbc #xbc)]
    [(251) (make-color #xc6 #xc6 #xc6)]
    [(252) (make-color #xd0 #xd0 #xd0)]
    [(253) (make-color #xda #xda #xda)]
    [(254) (make-color #xe4 #xe4 #xe4)]
    [else (make-color #xee #xee #xee)]))
